Merge remote-tracking branch 'origin/development' into development

This commit is contained in:
davfsa 2018-06-20 19:49:43 +02:00
commit 423edf1a3a
4 changed files with 23 additions and 9 deletions

View File

@ -1,10 +1,14 @@
yarl<1.2 yarl<1.2
numpy==1.14.0
aiofiles aiofiles
# aiomultiprocess # aiomultiprocess
# aiosqlite # aiosqlite
# asyncpg
# dataclasses
# cached_property # cached_property
uvloop==0.9.1 uvloop==0.9.1
aiohttp==3.2.1 aiohttp==3.2.1
# Someone forgot to add this in.
asyncpg
# Music cog requirements
opuslib
dataclasses
PyNaCl
youtube_dl

View File

@ -1,6 +1,17 @@
#!/bin/bash #!/bin/bash
# 20th June 2018
# Esp: added a trap here, as it otherwise attempts to restart when given
# the interrupt signal. This is really annoying over SSH when I have
# a 1-second lag anyway.
trap "echo 'Received interrupt. Exiting.'; exit 0" SIGINT
# Also loads the venv if it is present.
[ -d .venv/bin ] && source .venv/bin/activate && echo "Entered venv." || echo "No venv detected."
until python -m src; do until python -m src; do
echo "Sebi-Machine shutdown with error: $?. Restarting..." >&2 # Added colouring to ensure the date of shutdown and the exit code stands
# out from the other clutter in the traceback that might have been output.
echo -e "\e[0;31m[$(date --utc)]\e[0m Sebi-Machine shutdown with error \e[0;31m$?\e[0m. Restarting..." >&2
sleep 1 sleep 1
done done

View File

@ -11,7 +11,7 @@ from discord.ext import commands
import youtube_dl import youtube_dl
# noinspection PyUnresolvedReferences,PyUnresolvedReferences,PyPackageRequirements # noinspection PyUnresolvedReferences,PyUnresolvedReferences,PyPackageRequirements
from utils import noblock from . utils import noblock
YT_DL_OPTS = { YT_DL_OPTS = {

View File

@ -32,7 +32,6 @@ import sys
import asyncio import asyncio
import discord import discord
from discord.ext.commands.formatter import Paginator from discord.ext.commands.formatter import Paginator
import numpy as np
class Capturing(list): class Capturing(list):